/*
 * @Author: riverQiu
 * @Date: 2023-10-14 00:31:37
 * @LastEditors: riverQiu
 * @LastEditTime: 2023-10-15 00:37:52
 * @Description: 
 */
import request from '@/utils/request'

// 分页查询关键话术列表
export function pageSkill(query) {
  return request({
    url: '/system/skill/page',
    method: 'get',
    params: query
  })
}

// 查询关键话术列表
export function listSkill(query) {
  return request({
    url: '/system/skill/list',
    method: 'get',
    params: query
  })
}

// 查询关键话术详细
export function getSkill(skillId) {
  return request({
    url: '/system/skill/' + skillId,
    method: 'get'
  })
}


export function getSkillKey() {
  return request({
    url: '/system/skill/key',
    method: 'get'
  })
}

// 新增关键话术
export function addSkill(data) {
  return request({
    url: '/system/skill',
    method: 'post',
    data: data
  })
}

// 修改关键话术
export function updateSkill(data) {
  return request({
    url: '/system/skill',
    method: 'put',
    data: data
  })
}

// 删除关键话术
export function delSkill(skillId) {
  return request({
    url: '/system/skill/' + skillId,
    method: 'delete'
  })
}

// 审核关键话术
export function checkSkill(data) {
  return request({
    url: '/system/skill/check',
    method: 'put',
    data: data
  })
}
